### Encoding: UTF-8

### Name: make_restrictions
### Title: Make an object of class "restrictions"
### Aliases: make_restrictions make_restrictions-methods
###   make_restrictions,manifest.basic,ANY,ANY,ANY,ANY,ANY-method
###   make_restrictions,manifest.basic,missing,missing,missing,missing,miss
###   ing-method
###   make_restrictions,manifest.basic,parameter.scale,missing,missing,miss
###   ing,missing-method
###   make_restrictions,manifest.basic,missing,parameter.coef,missing,missi
###   ng,missing-method
###   make_restrictions,manifest.basic,missing,parameter.coef,missing,param
###   eter.coef,missing-method
###   make_restrictions,manifest.basic,missing,parameter.coef,missing,param
###   eter.coef,parameter.cormat-method
###   make_restrictions,manifest.basic,missing,parameter.coef,parameter.cor
###   mat,missing,missing-method
###   make_restrictions,manifest.basic,parameter.scale,parameter.coef,missi
###   ng,parameter.coef,missing-method
###   make_restrictions,manifest.basic,parameter.scale,parameter.coef,missi
###   ng,parameter.coef,parameter.cormat-method
###   make_restrictions,manifest.basic,parameter.scale,parameter.coef,param
###   eter.cormat,missing,missing-method
### Keywords: multivariate models methods

### ** Examples

man <- make_manifest(covmat = Harman74.cor)

## Not run: 
##D ## Here is the easy way to set up a two-level SEFA model using pop-up menus
##D res <- make_restrictions(manifest = man, factors = c(5,2), model = "SEFA")
## End(Not run)

## Here is the hard way to set up a two-level SEFA model, 
## which eschews the pop-up menus; do NOT do this without good reason.
## There is an EFA example in ?Rotate
## There is a  CFA example in ?restrictions2RAM
## There is an example with equality restrictions in ?equality_restriction-class

factors <- c(5,2)
beta <- matrix(NA_real_, nrow = nrow(cormat(man)), ncol = factors[1])
rownames(beta) <- rownames(cormat(man))
free <- is.na(beta)
beta <- new("parameter.coef.SEFA", x = beta, free = free, num_free = sum(free))

Delta <- matrix(NA_real_, nrow = factors[1], ncol = factors[2])
rownames(Delta) <- paste("F",  1:factors[1], sep = "")
free  <- is.na(Delta)
Delta <- new("parameter.coef.SEFA", x = Delta, free = free, num_free = sum(free))

Xi <- diag(2)
free <- lower.tri(Xi)
## For fun, require the second-order factors to be positively correlated
uppers <- lowers <- Xi
lowers[2,1] <- 0
uppers[2,1] <- 1
Domains <- array(cbind(lowers, uppers), c(dim(Xi), 2))
Xi <- new("parameter.cormat", x = Xi, free = free, num_free = sum(free),
           Domains = Domains)

res <- make_restrictions(manifest = man, beta = beta, Delta = Delta, Xi = Xi)
show(res)



