### Encoding: UTF-8

### Name: mapping_rule
### Title: Default Mapping Rule
### Aliases: mapping_rule
### Keywords: manip

### ** Examples

  ## This is just a demo; you should NOT call this function directly

  cormat <- diag(2)        # factor intercorrelation matrix
  coefs  <- matrix(rnorm(20), nrow = 10, ncol = 2) # primary pattern matrix
  zeros <- c(2, 2)         # we require two zeros per factor

  any(coefs == 0)          # FALSE

  ## Default mapping rule
  coefs_default <- mapping_rule(coefs, cormat, zeros)
  colSums(coefs_default == 0)      # c(2, 2)
  # Now the 2 smallest coefficients in each column are squashed to zero
  print(cbind(coefs, NA, coefs_default), digits = 3)

  ## row_complexity mapping rule
  coefs_row <- mapping_rule(coefs, cormat, zeros, row_complexity = 1)
  colSums(coefs_default == 0)      # at least two per factor
  # Now the smaller coefficient in each row is squashed to zero
  print(cbind(coefs, NA, coefs_row), digits = 3)

  ## The other mapping rules are sort of useless in the two factor case




